Subject: Re: [AAA-WG]: Re: Route-Record AVP in Indication message

From: Patrice Calhoun <[email-masked]>
Date: Thu, 12 Apr 2001 09:55:29 -0700

>Pat,
>
>  I guess you misunderstood what I meant. Let me try it again.
>
>Here is the request send to AAA4
>AAA1->AAA2->AAA3---- link broken ---->AAA4
>
>AAA3----send DSI---->AAA1
>
>AAA3 must generate DSI and send it back to AAA1.

This is where you are wrong. DSI is in the Per-Hop Error Signaling section.
This means that AAA3 does not send a DSI to AAA1, but to AAA2. AAA2 must
take the message from its pending queue, take some local action, and if it
is unable to forward the message, it generates a DSI to AAA1. So, the message
from the queue is used to figure out where to send the DSI to, and it is 
used to figure out what Hop-by-Hop Identifier to put in the DSI message.

>This DSI is NOT a response to the request so it MUST NOT include
>the route-record AVPs that were present in the request.

Correct.

>AAA3 route the message base on Destination-Realm AVP and let's
>say this DSI message routing result is  "directly" to AAA1 instead
>of AAA2. My question is AAA2 keeping the pending request but AAA2
>did NOT receive reply in this case.

No, because as I state above, a DSI has a per-hop processing behavior.

PatC

---

From: Michael Chen <[email-masked]>
Date: Thu, 12 Apr 2001 10:33:52 -0700

> used to figure out what Hop-by-Hop Identifier to put in the DSI message.

Thanks for the reply.  DSI is Per-Hop Error Singnal so we don't use neither
Route-Record or Destination-Realm.
Just for curiosity, what if AAA2 is stateless?

---

From: Patrice Calhoun <[email-masked]>
Date: Thu, 26 Apr 2001 10:35:35 -0700 (PDT)

> Just for curiosity, what if AAA2 is stateless?

I think perhaps we will have to use terms other than stateful and stateless.
The text reads that it is mandatory that transaction state be maintained. So a
stateless server is not *really* stateless.

Any suggestions on terminology?

PatC